"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class VariantIdentifiers(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_9 import reports as reports_6_10_0

        return {
            "otherIds": reports_6_10_0.Identifier,
        }

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_9 import reports as reports_6_10_0

        return {
            "org.gel.models.report.avro.Identifier": reports_6_10_0.Identifier,
            "org.gel.models.report.avro.VariantIdentifiers": reports_6_10_0.VariantIdentifiers,
        }

    __slots__ = [
        "clinVarIds",
        "cosmicIds",
        "dbSnpId",
        "otherIds",
    ]

    def __init__(
        self,
        clinVarIds=None,
        cosmicIds=None,
        dbSnpId=None,
        otherIds=None,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_6_10_0.VariantIdentifiers model.

        :param clinVarIds:
            Variant identifier in ClinVar
        :type clinVarIds: None | list[str]
        :param cosmicIds:
            Variant identifier in Cosmic
        :type cosmicIds: None | list[str]
        :param dbSnpId:
            Variant identifier in dbSNP
        :type dbSnpId: None | str
        :param otherIds:
        :type otherIds: None | list[Identifier]
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "6.10.0"
